Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.security
Class Criteria

    java.lang.Object
      org.jboss.portal.cms.security.Criteria

All Implemented Interfaces:
  java.io.Serializable

    public class Criteria

extends java.lang.Object
implements java.io.Serializable

Author:
  Sohil Shah - sohil.shah@jboss.com - Nov 29, 2006
See Also:
  Serialized Form

Constructor Summary
`Criteria()`
`Criteria(java.lang.String name, java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setId(long id)`
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Criteria

    public Criteria()

### Criteria

    public Criteria(java.lang.String name,
                    java.lang.String value)

Method Detail

### getId

    public long getId()

  Returns:

### setId

    public void setId(long id)

  Parameters:
    `key` -

### getName

    public java.lang.String getName()

  Returns:
    Returns the context.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `context` - The context to set.

### getValue

    public java.lang.String getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - The value to set.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.